#!/usr/bin/env node

var path = require('path');

var program = require('commander');

var dump = require('./dump');

var createFileImportSettings = require('./create-file-import-settings');

var _require = require('./check'),
    showLinkErrors = _require.showLinkErrors;

program.version(require(path.join(__dirname, '../package.json')).version).command('dump').on('--help', function () {
  console.log("Compile TypeScript translation files to .json and package for upload.");
}).action(dump);
program.version(require(path.join(__dirname, '../package.json')).version).command('up').action(function () {
  return console.log('DEPRECATED');
});
program.version(require(path.join(__dirname, '../package.json')).version).command('down').action(function () {
  return console.log('DEPRECATED');
});
program.version(require(path.join(__dirname, '../package.json')).version).command('create-file-import-settings').action(createFileImportSettings);
program.version(require(path.join(__dirname, '../package.json')).version).command('check').action(showLinkErrors);
program.parse(process.argv);