const util = require('util');
const exec = util.promisify(require('child_process').exec);
const { buildModuleCatalogBuilder } = require('./utils');
const { success } = require('@cloudflare/cli-helpers').setup({
  cliName: 'memsource-cli'
});

/**
 * dump
 *
 * This command is a temporary solution as we migrate away from memsource. All
 * of the code that dumps the temporary copies of the translation catalogs
 * generated from *.translations.ts files only happens during the memsource
 * upload process. In order to still have these files translated in the interim,
 * we need to dump these files so they can be sent for translations.
 *
 */
const dump = async () => {
  console.log('Processing *.translations.ts files...');

  // Write module catalogs as standard JSON catalogs
  try {
    const moduleCatalogBuilderScriptPath = await buildModuleCatalogBuilder();
    const { stderr, stdout } = await exec(
      `node ${moduleCatalogBuilderScriptPath}`
    );

    if (stdout) {
      success(stdout);
    }

    if (stderr) {
      throw new Error(stderr);
    }
  } catch (e) {
    throw new Error(e);
  }

  console.log('Finished generating .json files.');
};

module.exports = dump;
