#!/usr/bin/env node
const path = require('path');
const program = require('commander');
const dump = require('./dump');
const createFileImportSettings = require('./create-file-import-settings');
const { showLinkErrors } = require('./check');

program
  .version(require(path.join(__dirname, '../package.json')).version)
  .command('dump')
  .on('--help', function () {
    console.log(
      `Compile TypeScript translation files to .json and package for upload.`
    );
  })
  .action(dump);

program
  .version(require(path.join(__dirname, '../package.json')).version)
  .command('up')
  .action(() => console.log('DEPRECATED'));

program
  .version(require(path.join(__dirname, '../package.json')).version)
  .command('down')
  .action(() => console.log('DEPRECATED'));

program
  .version(require(path.join(__dirname, '../package.json')).version)
  .command('create-file-import-settings')
  .action(createFileImportSettings);

program
  .version(require(path.join(__dirname, '../package.json')).version)
  .command('check')
  .action(showLinkErrors);

program.parse(process.argv);
