/**
 * Configuration for webpacking Module Catalogs
 */

const nodeExternals = require('webpack-node-externals');
const {
  BABEL_LOADER_EXCLUDE
} = require('@cloudflare/stratus-core/constants.js');

process.env.BABEL_ENV = 'node';

module.exports = {
  mode: 'development',
  externalsPresets: { node: true },
  externals: [nodeExternals({ allowlist: /@cloudflare/ })],
  node: {
    global: false,
    __dirname: false,
    __filename: false
  },
  module: {
    rules: [
      {
        test: /\.(tsx?)$/,
        exclude: new RegExp(BABEL_LOADER_EXCLUDE),
        use: {
          loader: 'babel-loader?cacheDirectory',
          options: {
            configFile: require.resolve(
              '@cloudflare/stratus-core/babel.config.js'
            )
          }
        }
      },
      {
        test: /\.md$/,
        loader: 'raw-loader'
      }
    ]
  },
  resolve: {
    extensions: ['.ts', '.tsx', '.mjs', '.js', '.json']
  }
};
